System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Data.ITableMapping System.ICloneable System.ComponentModel.TypeConverter("System.Data.Common.DataTableMapping+DataTableMappingConverter, System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")

A provides a master mapping between the data returned from a query against a data source, and a . The name can be passed in place of the name to the Fill method of the DataAdapter. For more information, see Setting Up DataTable and DataColumn Mappings.

Contains a description of a mapped relationship between a source table and a . This class is used by a when populating a .

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with a source when given a source table name and a name.

  The case-sensitive source table name from a data source.
  The table name from a to map to.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class when given a source table name, a name, and an array of objects.

  The case-sensitive source table name from a data source.
  The table name from a to map to.
  An array of objects.
  1.0.5000.0
  2.0.0.0
- Property
  System.Data.Common.DataColumnMappingCollection To be added: an object of type 'DataColumnMappingCollection' To be added

  Gets the for the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the table name from a .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  System.Data.Common.DataColumnMapping `` ``

  If the exists, it is returned.

  If the does not exist, for a given , the following actions occur:

  MissingMappingAction

  Action taken

  Passthrough

  Creates a with the specified source column name as both the source column name and the column name. This is not added to the collection.

  Error

  An is generated if the specified column mapping is missing.

  Ignore

  Gets a null value.

  Gets a from the specified using the specified value and the name of the .

  A data column.

  The name of the . One of the values. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Data.DataColumn `` `` `` `` `` To be added.

  Returns a object for a given column name.

  A object.

  The name of the . The data type for . The table name from a to map to. One of the values. One of the values.
- Method
  System.Data.DataTable `` ``

  If the does not exist, the specified is taken.

  Gets the current for the specified using the specified value.

  A data table.

  The from which to get the . One of the values. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the case-sensitive source table name from a data source.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IColumnMappingCollection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets the derived for the .

- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Creates a new object that is a copy of the current instance.

  A new object that is a copy of the current instance.

- Method
  System.String To be added

  Converts the current name to a string.

  The current name, as a string.

  1.0.5000.0
  2.0.0.0